Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins
Class LRUStatefulContextCachePolicy.RemoverTask

    java.lang.Object
      |
      +--org.jboss.util.TimerTask
            |
            +--org.jboss.ejb.plugins.LRUEnterpriseContextCachePolicy.OveragerTask
                  |
                  +--org.jboss.ejb.plugins.LRUStatefulContextCachePolicy.RemoverTask

All Implemented Interfaces:
  java.lang.Comparable, Executable

Enclosing class:
  LRUStatefulContextCachePolicy

protected class LRUStatefulContextCachePolicy.RemoverTask
extends LRUEnterpriseContextCachePolicy.OveragerTask

This TimerTask removes beans that have not been called for a while.

Constructor Summary
`protected` | `LRUStatefulContextCachePolicy.RemoverTask(long period)`

Method Summary
`void` | `execute()` The task to be executed, to be implemented in subclasses.
`protected java.lang.String` | `getJMSTaskType()`
`protected long` | `getMaxAge()`
`protected java.lang.String` | `getTaskLogMessage()`
`protected void` | `kickOut(LRUCachePolicy.LRUCacheEntry entry)`

Methods inherited from class org.jboss.util.TimerTask
`cancel, compareTo, getPeriod`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LRUStatefulContextCachePolicy.RemoverTask

    protected LRUStatefulContextCachePolicy.RemoverTask(long period)

Method Detail

### getTaskLogMessage

    protected java.lang.String getTaskLogMessage()

  Overrides:
    `getTaskLogMessage` in class `LRUEnterpriseContextCachePolicy.OveragerTask`

### getJMSTaskType

    protected java.lang.String getJMSTaskType()

  Overrides:
    `getJMSTaskType` in class `LRUEnterpriseContextCachePolicy.OveragerTask`

### kickOut

    protected void kickOut(LRUCachePolicy.LRUCacheEntry entry)

  Overrides:
    `kickOut` in class `LRUEnterpriseContextCachePolicy.OveragerTask`

### getMaxAge

    protected long getMaxAge()

  Overrides:
    `getMaxAge` in class `LRUEnterpriseContextCachePolicy.OveragerTask`

### execute

    public void execute()

  Description copied from class: `TimerTask`
  The task to be executed, to be implemented in subclasses.
  Overrides:
    `execute` in class `LRUEnterpriseContextCachePolicy.OveragerTask`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.